package com.bizmatics.mhfire.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.mhfire.model.Device;
import com.bizmatics.mhfire.persistence.mapper.vo.DeviceCollectVO;
import com.bizmatics.mhfire.service.vo.DeviceMapVO;

import java.util.List;

/**
 * <p>
 * 设备信息表 服务类
 * </p>
 *
 * @author ya
 * @since 2021-11-25
 */
public interface DeviceService extends CrudService<Device> {


    /**
     * 地图撒点
      * @return
     */
    List<DeviceMapVO> getMapList();


    /**
     * 设备汇总信息
     * @return
     */
    CommonPage<DeviceCollectVO> getCollect(Integer current, Integer size, String deviceType, String deviceCode);
}
